Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface ClientModule

    org.gradle.api.artifacts.Dependency
      org.gradle.plugins.ide.idea.model.ModuleDependency
          org.gradle.api.artifacts.ClientModule
              org.gradle.api.artifacts.ExternalDependency

All Superinterfaces:
  Dependency, ModuleDependency, ExternalDependency

    public interface ClientModule
    extends ExternalDependency

To model a module in your dependency declarations. Usually you can either declare a single dependency artifact or you declare a module dependency that depends on a module descriptor in a repository. With a client module you can declare a module dependency without the need of a module descriptor in a remote repository.

Authors:
  Hans Dockter

Field Summary
`java.lang.String` | `CLIENT_MODULE_KEY`

Method Summary
`void` | `addDependency(ModuleDependency dependency)` Add a dependency to the client module.
`ClientModule` | `copy()` {@inheritDoc}
`java.util.Set` | `getDependencies()` Returns all the dependencies added to the client module.
`java.lang.String` | `getId()` Returns the id of the client module.

Methods inherited from interface ExternalDependency
copy, isForce, setForce

Methods inherited from class ModuleDependency
addToNode, equals, hashCode, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CLIENT_MODULE_KEY

    public java.lang.String CLIENT_MODULE_KEY

Method Detail

### addDependency

    public void addDependency(ModuleDependency dependency)

  Add a dependency to the client module. Such a dependency is transitive dependency for the project that has a dependency on the client module.
  Parameters:
    `dependency` - The dependency to add to the client module.
  See Also:
    getDependencies()

### copy

    public ClientModule copy()

  {@inheritDoc}

### getDependencies

    public java.util.Set getDependencies()

  Returns all the dependencies added to the client module.
  See Also:
    addDependency(ModuleDependency)

### getId

    public java.lang.String getId()

  Returns the id of the client module. This is usually only used for internal handling of the client module.
  Returns:
    The id of the client module

Groovy Documentation